Bug 436101 - fedora-idm-console is world writable
fedora-idm-console is world writable
Status: CLOSED NEXTRELEASE
Product: 389
Classification: Community
Component: Security - General (Show other bugs)
1.1.0
All Linux
low Severity urgent
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: Security
Depends On:
Blocks: CVE-2008-0889
  Show dependency treegraph
 
Reported: 2008-03-05 08:09 EST by Doncho N. Gunchev
Modified: 2015-01-04 18:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 14:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2008-03-05 08:09:31 EST
Description of problem:
The file /usr/bin/fedora-idm-console is world writable.

Version-Release number of selected component (if applicable):
fedora-idm-console-1.1.0-5.fc6

How reproducible:
always, removed and yum installed it again - no change. rpmverify shows no
problems too.

Steps to Reproduce:
1. yum -y install fedora-idm-console
2. ls -al /usr/bin/fedora-idm-console
  
Actual results:
-rwxrwxrwx 1 root root 1614 2007-12-20 13:20 /usr/bin/fedora-idm-console

Expected results:
-rwxr-xr-x 1 root root 1614 2007-12-20 13:20 /usr/bin/fedora-idm-console

Additional info:
I did rpmbuild --rebuild and the result is the same... here's the reason I think:
--- cut ---
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m777 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m777 built/%{name} $RPM_BUILD_ROOT/%{_bindir}
--- cut ---
The jar file is with normal permissions probably because
/usr/lib/rpm/redhat/brp-java-repack-jars takes care of it.
Comment 1 Tomas Hoger 2008-03-05 09:02:57 EST
Doncho, thanks for the report.  We have assigned CVE id CVE-2008-0889 to this
issue and have created parent bug to track this issue across all affected
versions - bug #436107.
Comment 2 Doncho N. Gunchev 2008-03-05 10:13:01 EST
btw, rpmlint catches this one and some more problems with this package...
Comment 3 Tomas Hoger 2008-03-19 13:31:20 EDT
Updated packages that fix this issue will appear in directory.fedoraproject.org
repository in a while.
Comment 4 Rich Megginson 2008-03-19 14:35:53 EDT
Packages are now available from directory.fedoraproject.org yum repo.

Note You need to log in before you can comment on or make changes to this bug.